Main Page Widgets Namespaces Book

# Glib::SignalTimeout Class Reference
[The Main Event Loop]

List of all members.

## Public Member Functions

SigC::Connection | connect (const SigC::Slot0<bool>& slot, unsigned int interval, int priority=PRIORITY_DEFAULT)
| Connects a timeout handler.

## Member Function Documentation

SigC::Connection Glib::SignalTimeout::connect | ( | const SigC::Slot0<bool>& | slot,
|  | unsigned int | interval,
|  | int | priority = PRIORITY_DEFAULT
| ) |

Connects a timeout handler.

     Glib::signal_timeout().connect(SigC::slot(&timeout_handler), 1000);

is equivalent to:

     const Glib::RefPtr<Glib::TimeoutSource> timeout_source = Glib::TimeoutSource::create(1000);
     timeout_source->connect(SigC::slot(&timeout_handler));
     timeout_source->attach(Glib::MainContext::get_default());

Parameters:

  slot | A slot to call when interval elapsed.
  interval | The timeout in milliseconds.
  priority | The priority of the new event source.

Returns:
  A connection handle, which can be used to disconnect the handler.

The documentation for this class was generated from the following file:

- glib/glibmm/main.h